(function() {
'use strict';
app.factory('articles.repository', ['webApi', '$http', function(webApi, $http) {
	return {
		getArticles: _getArticles,
	};
	
	function _getArticles () {
		return $http.get(webApi.DOMAIN + '/api/v1/articles');
	}
	
}]);
})();